#ifndef PLANE_H
#define PLANE_H

#include "../../common/structs.h"

double intersect_plane(point* startP, vector* projV, object* plane, point* pntIntersect);
vector* normal_plane(point* q, object* objectHit, vector* n);
vector* normal_wavey_plane(point* q, object* objectHit, vector* n);

#endif /* INTERSECT_H */
